Bug 859320 - libvirt auth.conf make virsh cmd Segmentation fault (core dumped)
libvirt auth.conf make virsh cmd Segmentation fault (core dumped)
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2012-09-21 02:43 EDT by Huang Wenlong
Modified: 2013-10-20 17:45 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 02:24:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Huang Wenlong 2012-09-21 02:43:07 EDT
Description of problem:
libvirt auth.conf make virsh cmd Segmentation fault (core dumped) 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. add auth_unix_rw="sasl" in the /etc/libvirt/libvirtd.conf
add sasl user

# saslpasswd2 -a libvirt test
(input your passwd)
# sasldblistusers2 -f /etc/libvirt/passwd.db
test@intel-q9400-4-7.englab.nay.redhat.com: userPassword

2. add auth.conf file in the /etc/libvirtd/
# cat /etc/libvirt/auth.conf



3. restart libvirtd
service libvirtd restart
Stopping libvirtd daemon:                                  [  OK  ]
Starting libvirtd daemon:

4. run  virsh cmd
# virsh list
Segmentation fault (core dumped)
[root@intel-q9400-4-7 ~]#
virsh  capabilities
Segmentation fault (core dumped)

5.  qemu+unix and qemu works well with auth.conf  without sasl username and passwd
# virsh -c qemu+unix:///system list 
 Id    Name                           State
 2     qq                             running
 4     ga                             running

# virsh -c qemu:///system list 
 Id    Name                           State
 2     qq                             running
 4     ga                             running

when core dumped  libvirtd.log error message :
2012-09-21 05:14:24.712+0000: 32009: error : virNetSocketReadWire:1184 : End of file while reading data: Input/output error

Actual results:
core dumped

Expected results:
no core dumped

Additional info:

virsh cmd works well after remove the auth.conf

# mv /etc/libvirt/auth.conf /etc/libvirt/auth.conf.bak
[root@intel-q9400-4-7 ~]# virsh list
Please enter your authentication name: test
Please enter your password:
 Id    Name                           State
 2     qq                             running
 4     ga                             running
Comment 1 Daniel Berrange 2012-09-21 04:37:43 EDT
Patch upstream but not merged

Comment 2 Daniel Berrange 2012-09-21 05:23:03 EDT
Merged upstream, will be pulled in via the next rebase

commit ab42772a46e17d14204359a17234b2d9cee0ddb6
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Wed Sep 12 16:40:08 2012 +0100

    Fix crash accessing a NULL URI when looking up auth credentials
    When auto-probing hypervisor drivers, the conn->uri field will
    initially be NULL. Care must be taken not to access members
    when doing auth lookups in the config file
Comment 3 Huang Wenlong 2012-09-25 01:55:31 EDT
Verify this bug with :

step as comment 0
Comment 4 errata-xmlrpc 2013-02-21 02:24:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.